# CEGUI::String::const_iterator Class Reference

Constant forward iterator class for String objects. More...

Inheritance diagram for CEGUI::String::const_iterator:

[legend]
List of all members.

## Public Member Functions

| const_iterator (const_pointer ptr)
const_reference | operator * () const
const_pointer | operator-> () const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const_iterator & | operator-- ()
const_iterator | operator-- (int)
const_iterator & | operator+= (difference_type offset)
const_iterator | operator+ (difference_type offset) const
const_iterator & | operator-= (difference_type offset)
const_iterator | operator- (difference_type offset) const
difference_type | operator- (const const_iterator &iter) const
const_reference | operator[] (difference_type offset) const
bool | operator== (const const_iterator &iter) const
bool | operator!= (const const_iterator &iter) const
bool | operator< (const const_iterator &iter) const
bool | operator> (const const_iterator &iter) const
bool | operator<= (const const_iterator &iter) const
bool | operator>= (const const_iterator &iter) const

## Public Attributes

const utf32 * | d_ptr

## Friends

const_iterator | operator+ (difference_type offset, const const_iterator &iter)

## Detailed Description

Constant forward iterator class for String objects.